Apache Tomcat 'Cal2.JSP' 跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1113571 漏洞类型 跨站脚本
发布时间 2007-09-04 更新时间 2009-02-05
CVE编号 CVE-2006-7196 CNNVD-ID CNNVD-200705-153
漏洞平台 JSP CVSS评分 4.3
|漏洞来源
https://www.exploit-db.com/exploits/30563
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200705-153
|漏洞详情
ApacheTomcat的日历应用程序例子中存在跨站脚本攻击漏洞。远程攻击者可以借助提交到cal2.jsp的时间参数和其他未明参数,注入任意的web脚本或HTML。注意:此漏洞可能与CVE-2006-0254.1有关。
|漏洞EXP
source: http://www.securityfocus.com/bid/25531/info

Apache Tomcat is prone to a cross-site scripting vulnerability because the application fails to properly sanitize user-supplied input.

An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

This issue affects Apache Tomcat 4.1.31; other versions may also be affected. 

http://www.example.com/examples/jsp/cal/cal2.jsp?time=8am%3cscript%3ealert("XSS!")%3c%2fscript%3e
|参考资料

来源:VUPEN
名称:ADV-2007-1729
链接:http://www.frsirt.com/english/advisories/2007/1729
来源:BID
名称:25531
链接:http://www.securityfocus.com/bid/25531
来源:BUGTRAQ
名称:20090127CA20090123-01:CohesionTomcatMultipleVulnerabilities(Updated-v1.1)
链接:http://www.securityfocus.com/archive/1/archive/1/500412/100/0/threaded
来源:BUGTRAQ
名称:20090124CA20090123-01:CohesionTomcatMultipleVulnerabilities
链接:http://www.securityfocus.com/archive/1/archive/1/500396/100/0/threaded
来源:BUGTRAQ
名称:20070905Re:Apachetomcatcalendarexamplecrosssitescriptingandcrosssiterequestforgeryvulnerability
链接:http://www.securityfocus.com/archive/1/archive/1/478609/100/0/threaded
来源:BUGTRAQ
名称:20070904Apachetomcatcalendarexamplecrosssitescriptingandcrosssiterequestforgeryvulnerability
链接:http://www.securityfocus.com/archive/1/archive/1/478491/100/0/threaded
来源:VUPEN
名称:ADV-2009-0233
链接:http://www.frsirt.com/english/advisories/2009/0233
来源:tomcat.apache.org
链接:http://tomcat.apache.org/security-5.html
来源:tomcat.apache.org
链接:http://tomcat.apa